package model

import "uauth/internal/sqlType"

type Role struct {
	CreatedAt      int64            `json:"created_at" gorm:"column:created_at;autoCreateTime:milli"`
	UpdatedAt      int64            `json:"updated_at" gorm:"column:updated_at;autoUpdateTime:milli"`
	DeletedAt      int64            `json:"deleted_at" gorm:"index;column:deleted_at;default:0"`
	Code           string           `json:"code" gorm:"primaryKey;column:code"`
	Label          string           `json:"label" gorm:"column:label"`
	Parent         string           `json:"parent" gorm:"column:parent"`
	PrivilegeCodes sqlType.StrSlice `json:"privilege_codes" gorm:"column:privilege_codes"`
}
