package model

// 用户权限作用域
type Scope struct {
	Code      string `json:"code" gorm:"column:code;type:varchar(8);not null;primaryKey"`
	CreatedAt int64  `json:"created_at" gorm:"column:created_at;autoCreateTime:milli"`
	UpdatedAt int64  `json:"updated_at" gorm:"column:updated_at;autoUpdateTime:milli"`
	DeletedAt int64  `json:"deleted_at" gorm:"index;column:deleted_at;default:0"`
	Label     string `json:"label" gorm:"column:label;type:varchar(64)"`
	Parent    string `json:"parent" gorm:"column:parent;type:varchar(8)"`
}
